## davix 0.2.8

=== CMakeLists.txt ===

## cmake build script for davix
project (davix)
cmake_minimum_required (VERSION 2.6)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
option(shared_library "generate shared library" TRUE)
option(static_library  "generate static library" FALSE)


# build type
if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "No build type selected, default to RelWithDebInfo")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo")
endif(NOT CMAKE_BUILD_TYPE)

# load module
include(DefineInstallationPaths REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)
include(CMakeGeneratePkgConfig REQUIRED)
include(MacroAddDoxygen REQUIRED)
include(PortabilityGNUCheck REQUIRED)
include(CMakeCXX11Support REQUIRED)

#enable testing
INCLUDE(CTest)


set(OUTPUT_NAME_DAVIX "davix")
set(VERSION_MAJOR 0)
set(VERSION_MINOR 2)
set(VERSION_PATCH 8)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})


#compilation mode
SET(HTTP_LIB "NEON") # http backend can be NEON
SET(UNIT_TESTS FALSE
    CACHE STRING "enable or disable unit test compilation")
SET(NEON_EMBEDED TRUE
    CACHE STRING "enable or disable unit test compilation")
SET(SSL_BACKEND "OPENSSL"
    CACHE STRING "set the default SSL backend openssl or gnutls ( default : openssl ) ")

OPTION(ENABLE_IPV6 "enable or disable IPv6 support " TRUE)

OPTION(ENABLE_THIRD_PARTY_COPY "enable or disable third party copy support" FALSE)

# tests
option(UNIT_TESTS "enable or disable the unit tests" FALSE)

option(FUNCTIONAL_TESTS "enable or disable the functional tests" FALSE)


option(GTEST_EXTERNAL "Use external gtest framework" FALSE)

set(HAVE_OPENSSL 1)
set(NE_HAVE_SSL 1)

# libs checks
find_package(Threads)

# openssl
find_package(OpenSSL)
SET(LIBSSL_PKG_LIBRARIES "${OPENSSL_LIBRARIES}")
SET(CRYPTO_PKG "")
SET(LIBSSL_PKG_INCLUDE_DIRS "${OPENSSL_INCLUDE_DIR}")

find_package(LibXml2)
set(LIBXML2_INCLUDE_DIRS ${LIBXML2_INCLUDE_DIR})

add_subdirectory(deps)




## general defs
add_definitions( -D_GNU_SOURCE)              # GNU source, import LFS, etc...
add_definitions( -D__DAVIX_INSIDE__)         # protection flag
add_definitions( -D__STDC_LIMIT_MACROS )     # C99 limit macros
add_definitions( -DDAVIX_VERSION="${VERSION_STRING}" )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_FLAG_ENABLE}")

include_directories( ${HTTPLIB_PKG_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/deps ${CMAKE_CURRENT_SOURCE_DIR}/deps/libneon/src/ )
include_directories( ${CMAKE_SOURCE_DIR}/include/davix )

add_subdirectory (src)
add_subdirectory (doc)
add_subdirectory (test)
add_subdirectory (packaging)


#############################################################################
## headers

install(DIRECTORY ${CMAKE_SOURCE_DIR}/include/davix/
                DESTINATION ${INCLUDE_INSTALL_DIR}/davix)

##############################################################################
## Doc file
install(FILES RELEASE-NOTES LICENSE
                DESTINATION ${DOC_INSTALL_DIR}/) # install release notes


#######################################################
# Configure an 'uninstall' target
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== deps/CMakeLists.txt ===
###
## compile dependencies of davix


IF(NOT HAVE_STRPTIME_H)
    SET(SRC_STRPTIME "${CMAKE_CURRENT_SOURCE_DIR}/strptime/strptime.c" PARENT_SCOPE)
ELSE(NOT HAVE_STRPTIME_H)
    SET(SRC_STRPTIME "" PARENT_SCOPE)
ENDIF(NOT HAVE_STRPTIME_H)


SET(SRC_SIMPLE_GET_PASS "${CMAKE_CURRENT_SOURCE_DIR}/simple_getpass/simple_get_pass.cpp" PARENT_SCOPE)
SET(SRC_STRING_UTILS_CPP "${CMAKE_CURRENT_SOURCE_DIR}/string_utils/stringutils.cpp" PARENT_SCOPE)


#base64
SET(SRC_BASE64 "${CMAKE_CURRENT_SOURCE_DIR}/base64/base64.cpp" PARENT_SCOPE)


#hmac sha1
SET(SRC_HMACSHA1 "${CMAKE_CURRENT_SOURCE_DIR}/hmac_sha1/hmacsha1.cpp" PARENT_SCOPE)

#json parser
SET(HEADER_RAPIDJSON "${CMAKE_CURRENT_SOURCE_DIR}/rapidjson/include" PARENT_SCOPE)

add_subdirectory(libneon)


if(NOT HAVE_SYSSOCKET_H)
set(SOCKET_PKG_LIBRARIES "ws2_32")
endif(NOT HAVE_SYSSOCKET_H)

SET(HTTPLIB_PKG_VERSION "0.29.0" PARENT_SCOPE)
SET(HTTPLIB_PKG_STATIC_LIB_PATH "${CMAKE_CURRENT_BINARY_DIR}/libneon/src/libneon.a")
SET(HTTPLIB_PKG_LIBRARIES ${HTTPLIB_PKG_STATIC_LIB_PATH} ${LIBSSL_PKG_LIBRARIES} ${LIBGSSAPI_PKG_LIBRARIES} ${LIBXML2_LIBRARIES} ${SOCKET_PKG_LIBRARIES} PARENT_SCOPE)
SET(HTTPLIB_PKG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/libneon/src/  ${LIBXML2_INCLUDE_DIRS} ${LIBSSL_PKG_INCLUDE_DIRS}  ${LIBGSSAPI_PKG_INCLUDE_DIRS} PARENT_SCOPE)

=== doc/CMakeLists.txt ===



file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/build/html/")
addDoxyGeneration("Doxyfile.in")
SET( l_doc "${CMAKE_CURRENT_BINARY_DIR}/build/html/")

install(DIRECTORY ${l_doc}
		DESTINATION ${DOC_INSTALL_DIR}/html/) # install examples

=== src/CMakeLists.txt ===
# main file for src


FILE(GLOB src_davix "*.cpp")

FILE(GLOB src_neon "neon/*.cpp")
FILE(GLOB src_davix_posix "posix/*.cpp")
FILE(GLOB src_davix_status "status/*.cpp")
FILE(GLOB src_davix_fileops "fileops/*.cpp")
FILE(GLOB src_davix_params "params/*.cpp")
FILE(GLOB src_davix_auth "auth/*.cpp")
FILE(GLOB src_davix_file "file/*.cpp")
FILE(GLOB src_davix_request "request/*.cpp")
FILE(GLOB src_davix_utils "utils/*.cpp")

include_directories("libs" ".")

configure_file(config.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
link_directories(${HTTPLIB_PKG_LIBRARY_DIR} ${CRYPTO_PKG_LIBRARY_DIR} 
                                        ${LIBXML2_PKG_LIBRARY_DIR} )

add_subdirectory(copy)
add_subdirectory(libs)
add_subdirectory(datetime)
add_subdirectory(xml)
add_subdirectory(tools)

add_subdirectory(neon)
SET(SRC_HTTP ${src_neon})

LIST(APPEND SRC_DAVIX_FULL ${src_davix} ${src_davix_request} ${SRC_HTTP}  ${src_xmlparser} ${src_logger} ${src_datetime}
                           ${src_lockers} ${src_davix_posix} ${src_davix_status} ${src_davix_fileops} ${src_davix_utils}
                           ${src_davix_params} ${src_davix_auth} ${src_davix_file} ${SRC_STRPTIME} ${SRC_MEMPCPY}
                           ${SRC_STRLCPY} ${SRC_STRING_UTILS_CPP} ${SRC_BASE64} ${SRC_HMACSHA1})


add_definitions(${HTTPLIB_PKG_CFLAGS} )

if(shared_library)
add_library(libdavix  SHARED ${SRC_DAVIX_FULL})
add_dependencies(libdavix neon)


target_link_libraries(libdavix  ${HTTPLIB_PKG_LIBRARIES} ${CRYPTO_PKG_LIBRARIES}
                                ${CMAKE_THREAD_LIBS_INIT} ${SOCKET_PKG_LIBRARIES})


set_target_properties(libdavix PROPERTIES
                            VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
                            SOVERSION ${VERSION_MAJOR}
                            CLEAN_DIRECT_OUTPUT 1
                            OUTPUT_NAME ${OUTPUT_NAME_DAVIX})

install(TARGETS libdavix
             DESTINATION ${LIB_INSTALL_DIR} )

add_PkgConfigFile_for_Library("davix.pc" libdavix
                               HEADER_DIRS "davix"
                               CFLAGS " -D_FILE_OFFSET_BITS=64 "
                               DESCRIPTION "Davix, High level WebDav/HTTP library"
                               )

endif(shared_library)



if(static_library)

add_library(libdavix_static  STATIC ${SRC_DAVIX_FULL})
add_dependencies(libdavix_static neon_static)


target_link_libraries(libdavix_static  ${HTTPLIB_PKG_LIBRARIES} ${CRYPTO_PKG_LIBRARIES}
                                          ${CMAKE_THREAD_LIBS_INIT} ${SOCKET_PKG_LIBRARIES})



set_target_properties(libdavix_static PROPERTIES
                            VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
                            SOVERSION ${VERSION_MAJOR}
                            CLEAN_DIRECT_OUTPUT 1
                            OUTPUT_NAME ${OUTPUT_NAME_DAVIX})

install(TARGETS libdavix_static
             DESTINATION ${LIB_INSTALL_DIR} )

endif(static_library)




# install lib


#install pkgconfig
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/davix.pc
        DESTINATION ${PKGCONFIG_FILES_DIR} )

=== test/CMakeLists.txt ===
# main file for src

# force RPATH usage for easy test execution
set(CMAKE_SKIP_RPATH OFF
    CACHE BOOL "" FORCE)


include_directories(${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR}/src/)
link_directories(${PROJECT_BINARY_DIR}/src/)


set(TEST_CRED_PATH "${CMAKE_CURRENT_SOURCE_DIR}/certs/my_keycert.p12")
set(TEST_CRED_PASS "testpass")

if(UNIT_TESTS)
IF(NOT GTEST_EXTERNAL)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.7.0/include)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest-1.7.0/src/)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest-1.7.0)

SET(BUILD_SHARED_LIBS ON CACHE BOOL "Build gtest shared library")
add_subdirectory(gtest-1.7.0)
ELSE(NOT GTEST_EXTERNAL)
    SET(GTEST_INCLUDE_DIRS "/usr/include/gtest")
ENDIF(NOT GTEST_EXTERNAL)

endif(UNIT_TESTS)

add_subdirectory(unit)
add_subdirectory(functional)

=== deps/libneon/CMakeLists.txt ===
project(libneon-tuned)
cmake_minimum_required (VERSION 2.6)
# main file for src

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

# load module
include(ReleaseDebugAutoFlags REQUIRED)
include(PortabilityGNUCheck REQUIRED)
set(OUTPUT_NAME_DAVIX "neon")
set(VERSION_MAJOR 0)
set(VERSION_MINOR 0)
set(VERSION_PATCH 29)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

find_package(SOCKET)

find_package(LibXml2)
if(LIBXML2_INCLUDE_DIR)
set(HAVE_LIBXML 1)
endif(LIBXML2_INCLUDE_DIR)

set(HAVE_IPV6 ${ENABLE_IPV6})



configure_file(config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../
                    ${LIBXML2_INCLUDE_DIR} )

add_definitions( -fPIC -DNEON_VERSION="${VERSION_STRING}" -DNE_VERSION_MAJOR=${VERSION_MAJOR}  -DNE_VERSION_MINOR=${VERSION_MINOR} )



add_subdirectory(src)

=== src/copy/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

IF (ENABLE_THIRD_PARTY_COPY)
    INCLUDE     (CheckLibraryExists)

    pkg_check_modules(GSOAP_SSL_PKG    REQUIRED "gsoapssl++")
    find_package(GRIDSITE REQUIRED)
    
    FIND_PACKAGE(gSOAP REQUIRED)
    MESSAGE(STATUS "Using gsoapssl flags ${GSOAP_SSL_PKG_CFLAGS}")
    
    IF (NOT DEFINED DELEGATION_WSDL)
        SET (DELEGATION_WSDL "${CMAKE_CURRENT_SOURCE_DIR}/delegation-1.1.0.wsdl")
    ENDIF (NOT DEFINED DELEGATION_WSDL)
    
    # Compile the WSDL
    ADD_CUSTOM_COMMAND (OUTPUT typemap.dat
                        COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/typemap.dat ${CMAKE_CURRENT_BINARY_DIR}/typemap.dat)
    ADD_CUSTOM_COMMAND (OUTPUT delegation.h
                        COMMAND ${GSOAP_WSDL2H} -I/usr/share/gsoap/import/ -o${CMAKE_CURRENT_BINARY_DIR}/delegation.h ${DELEGATION_WSDL}
                        DEPENDS typemap.dat)
    ADD_CUSTOM_COMMAND (OUTPUT soapC.cpp soapClient.cpp
                        COMMAND ${GSOAP_SOAPCPP2} -I/usr/share/gsoap/import/ ${CMAKE_CURRENT_BINARY_DIR}/delegation.h
                        DEPENDS delegation.h)
                        
    # Includes
    INCLUDE_DIRECTORIES (${CMAKE_CURRENT_BINARY_DIR}
                         ${GRIDSITE_INCLUDE_DIR}
                         ${GSOAP_INCLUDE_DIR})
                         
    # link
    LINK_DIRECTORIES( ${DAVIX_PKG_LIBRARY_DIRS})
    ADD_DEFINITIONS(${GSOAP_SSL_PKG_CFLAGS} ${GRIDSITE_DEFINITIONS})
    
    # Build third party copy as a static library
    FILE(GLOB src_copy "*.cpp")
    
    ADD_LIBRARY (davix_copy SHARED ${src_copy}
                                   ${CMAKE_CURRENT_BINARY_DIR}/soapC.cpp
                                   ${CMAKE_CURRENT_BINARY_DIR}/soapClient.cpp)
                                   
    TARGET_LINK_LIBRARIES(davix_copy libdavix
                                     ${GSOAP_SSL_PKG_LIBRARIES}
                                     ${GRIDSITE_LIBRARIES})
                                     
    SET_TARGET_PROPERTIES(davix_copy PROPERTIES
                            VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
                            SOVERSION ${VERSION_MAJOR}
                            CLEAN_DIRECT_OUTPUT 1
                            OUTPUT_NAME "davix_copy")

    INSTALL(TARGETS davix_copy
             DESTINATION ${LIB_INSTALL_DIR})
             
    add_PkgConfigFile_for_Library("davix_copy.pc" davix_copy
                               HEADER_DIRS "davix"
                               CFLAGS " -D_FILE_OFFSET_BITS=64 "
                               DESCRIPTION "Davix, High level WebDav/HTTP library. Third party copy library."
                               )
                               
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/davix_copy.pc
            DESTINATION ${PKGCONFIG_FILES_DIR})

ENDIF (ENABLE_THIRD_PARTY_COPY)

=== src/datetime/CMakeLists.txt ===
# main file for src




FILE(GLOB _src_datetime "*.c")

SET(src_datetime ${_src_datetime} PARENT_SCOPE)

=== src/libs/CMakeLists.txt ===
# libs CMakefile for third party deps


add_subdirectory(containers)
add_subdirectory(lockers)
add_subdirectory(logger)





SET(src_vector_chunk ${src_vector_chunk} PARENT_SCOPE)
SET(src_crypto ${src_crypto} PARENT_SCOPE)
SET(src_lockers ${src_lockers} PARENT_SCOPE)
SET(src_logger ${src_logger} PARENT_SCOPE)

=== src/tools/CMakeLists.txt ===
# main file for command line tools
#




LIST(APPEND davix_main_src "davix_tool_main.cpp")
LIST(APPEND davix_ls_main_src "davix_tool_ls_main.cpp")
LIST(APPEND davix_get_main_src "davix_tool_get_main.cpp")
LIST(APPEND davix_put_main_src "davix_tool_put_main.cpp")
LIST(APPEND davix_del_main_src "davix_tool_del_main.cpp")
LIST(APPEND davix_copy_main_src "davix_tool_copy_main.cpp")
LIST(APPEND davix_tool_common_src "davix_tool_params.cpp" "davix_tool_util.cpp")

link_directories(${PROJECT_BINARY_DIR}/src/)

## davix cmd line
add_executable(davix_tool ${davix_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_tool davix)
set_target_properties(davix_tool PROPERTIES
                                OUTPUT_NAME "davix")
add_dependencies(davix_tool libdavix)

## davix ls cmd line
add_executable(davix_ls_tool ${davix_ls_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_ls_tool davix)
set_target_properties(davix_ls_tool PROPERTIES
                                OUTPUT_NAME "davix-ls")
add_dependencies(davix_ls_tool libdavix)


## davix get cmd line
add_executable(davix_get_tool ${davix_get_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_get_tool davix)
set_target_properties(davix_get_tool PROPERTIES
                                OUTPUT_NAME "davix-get")
add_dependencies(davix_get_tool libdavix)

## davix put cmd line
add_executable(davix_put_tool ${davix_put_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_put_tool davix)
set_target_properties(davix_put_tool PROPERTIES
                                OUTPUT_NAME "davix-put")
add_dependencies(davix_put_tool libdavix)


## davix del cmd line
add_executable(davix_del_tool ${davix_del_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_del_tool davix)
set_target_properties(davix_del_tool PROPERTIES
                                OUTPUT_NAME "davix-del")
add_dependencies(davix_del_tool libdavix)

install(TARGETS davix_tool davix_ls_tool davix_get_tool davix_put_tool davix_del_tool
         DESTINATION ${BIN_INSTALL_DIR}/)

## davix cp cmd line
if (ENABLE_THIRD_PARTY_COPY)

    add_executable(davix_cp_tool ${davix_copy_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

    target_link_libraries(davix_cp_tool davix_copy)
    set_target_properties(davix_cp_tool PROPERTIES
                                OUTPUT_NAME "davix-cp")
    add_dependencies(davix_cp_tool davix_copy)
    
    install(TARGETS davix_cp_tool
            DESTINATION ${BIN_INSTALL_DIR}/)
    
endif (ENABLE_THIRD_PARTY_COPY)

=== src/xml/CMakeLists.txt ===
# main file for src


FILE(GLOB _src_xmlparser "*.cpp")

SET(src_xmlparser ${_src_xmlparser} PARENT_SCOPE )

=== test/functional/CMakeLists.txt ===
# main file for src


if(FUNCTIONAL_TESTS)

set(src_davix_test_lib "davix_test_lib.cpp")

set( src_test_req "test_request.cpp")
set( src_test_prop "test_propfind.cpp")
set( src_test_stat "test_stat.cpp" )
set( src_test_mkdir "test_mkdir.cpp")
set( src_test_stat_session "test_stat_session.cpp")
set( src_test_rw "davix_rw_test.cpp")
set( src_test_opendir "test_opendir.cpp")
#set( src_test_opendir_c "test_opendir_c.cpp")
set( src_test_opendir_partial "test_opendir_partial.cpp")
set( src_test_opendirpp "test_opendirpp.cpp")
set( src_test_directory "test_directory.cpp")
#set( src_test_stat_c "test_stat_c.c")
set( src_test_auto_stat_mkdir_check "test_auto_stat_mkdir_check.cpp")
set( src_test_auto_rmdir_unlink_delete "test_auto_rmdir_unlink_delete.cpp")
set( src_test_valid_read_generic_simple "test_valid_read_generic_simple.cpp")
set( src_test_valid_write_read_generic_simple "test_valid_write_read_generic_simple.cpp")
set( src_test_valid_write_read_vector_simple "test_valid_write_read_vector_simple.cpp")
set( src_tool_read_vector_simple "tool_read_vector_simple.cpp")

add_executable(test_request ${src_test_req} )
target_link_libraries(test_request davix  )

add_executable(tool_read_vector_simple ${src_tool_read_vector_simple} ${src_davix_test_lib})
target_link_libraries(tool_read_vector_simple davix )



add_executable(test_prop ${src_test_prop} ${src_davix_test_lib} )
target_link_libraries(test_prop davix  )

add_executable(test_stat ${src_test_stat} ${src_davix_test_lib})
target_link_libraries(test_stat davix  )

add_executable(test_stat_auto_check ${src_test_auto_stat_mkdir_check} ${src_davix_test_lib})
target_link_libraries(test_stat_auto_check davix  )

add_executable(test_mkdir ${src_test_mkdir} ${src_davix_test_lib})
target_link_libraries(test_mkdir davix  )

add_executable(test_auto_rmdir_unlink_delete ${src_test_auto_rmdir_unlink_delete} ${src_davix_test_lib})
target_link_libraries(test_auto_rmdir_unlink_delete davix  )

add_executable(test_stat_session ${src_test_stat_session} ${src_davix_test_lib})
target_link_libraries(test_stat_session davix  )


add_executable(test_rw ${src_test_rw} ${src_davix_test_lib})
target_link_libraries(test_rw davix  )

add_executable(test_opendir ${src_test_opendir} ${src_davix_test_lib} )
target_link_libraries(test_opendir davix  )

add_executable(test_directory ${src_test_directory} ${src_davix_test_lib} )
target_link_libraries(test_directory davix  )

#add_executable(test_opendir_c ${src_test_opendir_c} ${src_davix_test_lib})
#target_link_libraries(test_opendir_c davix  )

add_executable(test_opendir_partial ${src_test_opendir_partial} ${src_davix_test_lib})
target_link_libraries(test_opendir_partial davix  )

add_executable(test_opendirpp ${src_test_opendirpp} ${src_davix_test_lib})
target_link_libraries(test_opendirpp davix  )

#add_executable(test_stat_c ${src_test_stat_c} ${src_davix_test_lib})
#target_link_libraries(test_stat_c davix  )

add_executable(test_valid_read_generic_simple ${src_test_valid_read_generic_simple} ${src_davix_test_lib})
target_link_libraries(test_valid_read_generic_simple davix  )

add_executable(test_valid_write_read_generic_simple ${src_test_valid_write_read_generic_simple} ${src_davix_test_lib})
target_link_libraries(test_valid_write_read_generic_simple davix  )

add_executable(test_valid_write_read_vector_simple ${src_test_valid_write_read_vector_simple} ${src_davix_test_lib})
target_link_libraries(test_valid_write_read_vector_simple davix  )


function(test_dav_endpoint_ronly name cred)

    add_test(test_stat_${name} test_stat ${name} ${cred})
    add_test(test_stat_session_${name} test_stat_session ${cred} ${name} ${name} ${name} ${name} ${name} ${name} ${name})
    add_test(test_opendir_${name} test_opendir ${name} ${cred})
  #  add_test(test_opendir_c_${name} test_opendir_c ${name} ${cred})
    add_test(test_opendirpp_${name} test_opendirpp ${name} ${cred})
  #  add_test(test_stat_c_${name} test_stat_c ${name} ${cred})
endfunction(test_dav_endpoint_ronly name cred)

function(test_dav_endpoint_rw name cred)

    add_test(test_stat_${name} test_stat ${name} ${cred})
    add_test(test_stat_session_${name} test_stat_session ${cred} ${name} ${name} ${name} ${name} ${name} ${name} ${name})
    add_test(test_opendir_${name} test_opendir ${name} ${cred})
    add_test(test_directory_${name} test_directory ${name} ${cred})
    add_test(test_opendirpp_${name} test_opendirpp ${name} ${cred})
    add_test(test_mkdir_${name} test_mkdir ${name} ${cred})
    add_test(test_stat_auto_check_${name} test_stat_auto_check ${name} ${cred})
endfunction(test_dav_endpoint_rw name cred)

function(listdir_partial name size cred)
    add_test(test_opendir_partial_${name}  test_opendir_partial ${name} ${size} ${cred})
endfunction(listdir_partial name size cred)

function(test_valid_read_generic url cred)
    add_test(test_valid_read_generic_${url} test_valid_read_generic_simple ${url} ${cred})
endfunction(test_valid_read_generic url cred)

function(test_valid_delete_all url cred)
    add_test(test_auto_rmdir_unlink_delete_${url} test_auto_rmdir_unlink_delete ${url} ${cred})
endfunction(test_valid_delete_all url cred)


function(test_valid_write_read_generic url cred)
    add_test(test_valid_write_read_generic_simple_${url} test_valid_write_read_generic_simple ${url} ${cred})
    add_test(test_valid_write_read_vector_simple_${url} test_valid_write_read_vector_simple ${url} ${cred})
endfunction(test_valid_write_read_generic url cred)

include(ctest_functional.cmake)

endif(FUNCTIONAL_TESTS)

=== debian/changelog ===
davix (0.2.8-1) unstable; urgency=medium

  * Update to version 0.2.8

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Dec 2013 04:14:45 +0100

davix (0.2.7-1) unstable; urgency=low

  * Update to version 0.2.7

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Nov 2013 21:54:48 +0100

davix (0.2.2-2) unstable; urgency=low

  * Fix copyright file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 03 Sep 2013 09:32:50 +0200

davix (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #719947)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 10 Aug 2013 03:55:47 +0200

=== debian/control ===
Source: davix
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libgridsite-dev, libgtest-dev, pkg-config, doxygen
Standards-Version: 3.9.5
Section: net
Homepage: https://svnweb.cern.ch/trac/lcgutil/wiki/davix

Package: davix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0 (= ${binary:Version})
Description: Toolkit for http based file management
 Davix is a toolkit designed for file operations with http based protocols
 (WebDav, Amazon S3, ...).

Package: libdavix0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for davix
 Library for davix. Davix is a toolkit designed for file operations with
 http based protocols (WebDav, Amazon S3, ...).

Package: davix-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdavix0 (= ${binary:Version})
Description: Development files for davix
 Development files for davix. Davix is a toolkit designed for file operations
 with http based protocols (WebDav, Amazon S3, ...).

Package: davix-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for davix
 Documentation and examples for davix. Davix is a toolkit designed for file
 operations with Http based protocols (WebDav, Amazon S3, ...).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	ln -fs /usr/src/gtest test/gtest
	dh_auto_configure -- -DLIB_SUFFIX="" -DUNIT_TESTS=TRUE \
		-DENABLE_THIRD_PARTY_COPY=TRUE

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_install:
	rm debian/tmp/usr/share/doc/davix/LICENSE
	dh_install --fail-missing

override_dh_auto_clean:
	rm -f test/gtest
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test -- ARGS+="-V -T Test"

## davix 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,34 +28,24 @@
 
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
-set(VERSION_MINOR 2)
-set(VERSION_PATCH 8)
+set(VERSION_MINOR 3)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
+set(VERSION_TAG "std")
 
 
-#compilation mode
-SET(HTTP_LIB "NEON") # http backend can be NEON
-SET(UNIT_TESTS FALSE
-    CACHE STRING "enable or disable unit test compilation")
-SET(NEON_EMBEDED TRUE
-    CACHE STRING "enable or disable unit test compilation")
-SET(SSL_BACKEND "OPENSSL"
-    CACHE STRING "set the default SSL backend openssl or gnutls ( default : openssl ) ")
+# dependency mode
+option(BOOST_EXTERNAL "Enable the usage of an external boost dependency" TRUE)
 
-OPTION(ENABLE_IPV6 "enable or disable IPv6 support " TRUE)
-
-OPTION(ENABLE_THIRD_PARTY_COPY "enable or disable third party copy support" FALSE)
+# features
+option(ENABLE_IPV6 "enable or disable IPv6 support " TRUE)
+option(ENABLE_TCP_NODELAY "enable or disable tcp_nodelay" TRUE)
+option(ENABLE_THIRD_PARTY_COPY "enable or disable third party copy support" FALSE)
 
 # tests
 option(UNIT_TESTS "enable or disable the unit tests" FALSE)
-
 option(FUNCTIONAL_TESTS "enable or disable the functional tests" FALSE)
 
-
-option(GTEST_EXTERNAL "Use external gtest framework" FALSE)
-
-set(HAVE_OPENSSL 1)
-set(NE_HAVE_SSL 1)
 
 # libs checks
 find_package(Threads)
@@ -69,6 +59,14 @@
 find_package(LibXml2)
 set(LIBXML2_INCLUDE_DIRS ${LIBXML2_INCLUDE_DIR})
 
+if(BOOST_EXTERNAL)
+find_package(Boost 1.41.0 COMPONENTS system thread)
+endif(BOOST_EXTERNAL)
+
+#const
+set(HAVE_OPENSSL 1)
+set(NE_HAVE_SSL 1)
+
 add_subdirectory(deps)
 
 
@@ -78,15 +76,16 @@
 add_definitions( -D_GNU_SOURCE)              # GNU source, import LFS, etc...
 add_definitions( -D__DAVIX_INSIDE__)         # protection flag
 add_definitions( -D__STDC_LIMIT_MACROS )     # C99 limit macros
-add_definitions( -DDAVIX_VERSION="${VERSION_STRING}" )
-
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_FLAG_ENABLE}")
 
 include_directories( ${HTTPLIB_PKG_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/deps ${CMAKE_CURRENT_SOURCE_DIR}/deps/libneon/src/ )
 include_directories( ${CMAKE_SOURCE_DIR}/include/davix )
+include_directories( ${CMAKE_SOURCE_DIR}/src/libs/)
+include_directories( ${Boost_INCLUDE_DIRS})
 
 add_subdirectory (src)
 add_subdirectory (doc)
+add_subdirectory (dist)
 add_subdirectory (test)
 add_subdirectory (packaging)

=== deps/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,15 @@
 #json parser
 SET(HEADER_RAPIDJSON "${CMAKE_CURRENT_SOURCE_DIR}/rapidjson/include" PARENT_SCOPE)
 
+
+## boost
+if(NOT Boost_FOUND)
+SET(Boost_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/boost_intern" PARENT_SCOPE)
+
+add_subdirectory(boost_intern/src)
+set(Boost_LIBRARIES boost_static_internal PARENT_SCOPE)
+endif(NOT Boost_FOUND)
+
 add_subdirectory(libneon)

=== dist/CMakeLists.txt ===


# configure abi checker
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/abi/abi_checker_last.xml.in ${CMAKE_CURRENT_BINARY_DIR}/abi/abi_checker_last.xml)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,12 @@
 FILE(GLOB src_davix_params "params/*.cpp")
 FILE(GLOB src_davix_auth "auth/*.cpp")
 FILE(GLOB src_davix_file "file/*.cpp")
+FILE(GLOB src_davix_deprecated "deprecated/*.cpp")
 FILE(GLOB src_davix_request "request/*.cpp")
+FILE(GLOB src_davix_hooks "hooks/*.cpp")
+FILE(GLOB src_davix_modules "modules/*.cpp")
 FILE(GLOB src_davix_utils "utils/*.cpp")
+
 
 include_directories("libs" ".")
 
@@ -23,28 +27,27 @@
 
 add_subdirectory(copy)
 add_subdirectory(libs)
-add_subdirectory(datetime)
 add_subdirectory(xml)
 add_subdirectory(tools)
 
 add_subdirectory(neon)
 SET(SRC_HTTP ${src_neon})
 
-LIST(APPEND SRC_DAVIX_FULL ${src_davix} ${src_davix_request} ${SRC_HTTP}  ${src_xmlparser} ${src_logger} ${src_datetime}
-                           ${src_lockers} ${src_davix_posix} ${src_davix_status} ${src_davix_fileops} ${src_davix_utils}
-                           ${src_davix_params} ${src_davix_auth} ${src_davix_file} ${SRC_STRPTIME} ${SRC_MEMPCPY}
-                           ${SRC_STRLCPY} ${SRC_STRING_UTILS_CPP} ${SRC_BASE64} ${SRC_HMACSHA1})
+LIST(APPEND SRC_DAVIX_FULL ${src_davix} ${src_davix_request} ${SRC_HTTP}  ${src_xmlparser} ${src_datetime}
+                           ${src_davix_posix} ${src_davix_status} ${src_davix_fileops} ${src_davix_utils}
+                           ${src_davix_params} ${src_davix_auth} ${src_davix_file} ${src_davix_deprecated} ${src_davix_hooks} ${src_davix_modules} ${SRC_STRPTIME} ${SRC_MEMPCPY}
+                           ${SRC_STRLCPY} ${SRC_STRING_UTILS_CPP} ${SRC_BASE64} ${SRC_HMACSHA1} )
 
 
 add_definitions(${HTTPLIB_PKG_CFLAGS} )
 
 if(shared_library)
-add_library(libdavix  SHARED ${SRC_DAVIX_FULL})
+add_library(libdavix  SHARED ${SRC_DAVIX_FULL} )
 add_dependencies(libdavix neon)
 
 
 target_link_libraries(libdavix  ${HTTPLIB_PKG_LIBRARIES} ${CRYPTO_PKG_LIBRARIES}
-                                ${CMAKE_THREAD_LIBS_INIT} ${SOCKET_PKG_LIBRARIES})
+                                ${CMAKE_THREAD_LIBS_INIT} ${SOCKET_PKG_LIBRARIES} ${Boost_LIBRARIES})
 
 
 set_target_properties(libdavix PROPERTIES
@@ -59,7 +62,7 @@
 add_PkgConfigFile_for_Library("davix.pc" libdavix
                                HEADER_DIRS "davix"
                                CFLAGS " -D_FILE_OFFSET_BITS=64 "
-                               DESCRIPTION "Davix, High level WebDav/HTTP library"
+                               DESCRIPTION "Libdavix, IO library for HTTP based protocols"
                                )
 
 endif(shared_library)
@@ -88,10 +91,7 @@
 
 endif(static_library)
 
-
-
-
-# install lib
+SET(davix_tool_common_src "${davix_tool_common_src_up}" PARENT_SCOPE)
 
 
 #install pkgconfig

=== test/CMakeLists.txt ===
# main file for src

# force RPATH usage for easy test execution
set(CMAKE_SKIP_RPATH OFF
    CACHE BOOL "" FORCE)


include_directories(${PROJECT_SOURCE_DIR}/src ${PROJECT_BINARY_DIR}/src/)
link_directories(${PROJECT_BINARY_DIR}/src/)


set(TEST_CRED_PATH "${CMAKE_CURRENT_SOURCE_DIR}/certs/my_keycert.p12")
set(TEST_CRED_PASS "testpass")

add_subdirectory(unit)
add_subdirectory(functional)

=== deps/libneon/CMakeLists.txt ===
--- 
+++ 
@@ -21,15 +21,15 @@
 endif(LIBXML2_INCLUDE_DIR)
 
 set(HAVE_IPV6 ${ENABLE_IPV6})
-
-
+set(TCP_NODELAY ${ENABLE_TCP_NODELAY})
 
 configure_file(config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../
-                    ${LIBXML2_INCLUDE_DIR} )
+                    ${LIBXML2_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR})
 
 add_definitions( -fPIC -DNEON_VERSION="${VERSION_STRING}" -DNE_VERSION_MAJOR=${VERSION_MAJOR}  -DNE_VERSION_MINOR=${VERSION_MINOR} )
+add_definitions(-fvisibility=hidden)

=== src/libs/CMakeLists.txt ===
# libs CMakefile for third party deps


add_subdirectory(adevpp)
add_subdirectory(datetime)





SET(src_vector_chunk ${src_vector_chunk} PARENT_SCOPE)
SET(src_crypto ${src_crypto} PARENT_SCOPE)
SET(src_datetime ${src_datetime} PARENT_SCOPE)

=== src/tools/CMakeLists.txt ===
# main file for command line tools
#




LIST(APPEND davix_main_src "davix_tool_main.cpp")
LIST(APPEND davix_ls_main_src "davix_tool_ls_main.cpp")
LIST(APPEND davix_get_main_src "davix_tool_get_main.cpp")
LIST(APPEND davix_put_main_src "davix_tool_put_main.cpp")
LIST(APPEND davix_rm_main_src "davix_tool_rm_main.cpp")
LIST(APPEND davix_mkcol_main_src "davix_tool_mkcol_main.cpp")
LIST(APPEND davix_copy_main_src "davix_tool_copy_main.cpp")
LIST(APPEND davix_tool_common_src "${CMAKE_CURRENT_SOURCE_DIR}/davix_tool_params.cpp" "${CMAKE_CURRENT_SOURCE_DIR}/davix_tool_util.cpp" "${SRC_SIMPLE_GET_PASS}")
SET(davix_tool_common_src_up "${davix_tool_common_src}" PARENT_SCOPE)

link_directories(${PROJECT_BINARY_DIR}/src/)


add_definitions(-DNO_BOOST_INCLUDE)
## davix cmd line
add_executable(davix_tool ${davix_main_src} ${davix_tool_common_src} )

target_link_libraries(davix_tool davix)
set_target_properties(davix_tool PROPERTIES
                                OUTPUT_NAME "davix-http")
add_dependencies(davix_tool libdavix)

## davix ls cmd line
add_executable(davix_ls_tool ${davix_ls_main_src} ${davix_tool_common_src} )

target_link_libraries(davix_ls_tool davix)
set_target_properties(davix_ls_tool PROPERTIES
                                OUTPUT_NAME "davix-ls")
add_dependencies(davix_ls_tool libdavix)


## davix get cmd line
add_executable(davix_get_tool ${davix_get_main_src} ${davix_tool_common_src} )

target_link_libraries(davix_get_tool davix)
set_target_properties(davix_get_tool PROPERTIES
                                OUTPUT_NAME "davix-get")
add_dependencies(davix_get_tool libdavix)

## davix put cmd line
add_executable(davix_put_tool ${davix_put_main_src} ${davix_tool_common_src} )

target_link_libraries(davix_put_tool davix)
set_target_properties(davix_put_tool PROPERTIES
                                OUTPUT_NAME "davix-put")
add_dependencies(davix_put_tool libdavix)


## davix del cmd line
add_executable(davix_mkdir_tool ${davix_mkcol_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_mkdir_tool davix)
set_target_properties(davix_mkdir_tool PROPERTIES
                                OUTPUT_NAME "davix-mkdir")
add_dependencies(davix_mkdir_tool libdavix)

## davix rm cmd line
add_executable(davix_rm_tool ${davix_rm_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

target_link_libraries(davix_rm_tool davix)
set_target_properties(davix_rm_tool PROPERTIES
                                OUTPUT_NAME "davix-rm")
add_dependencies(davix_rm_tool libdavix)


install(TARGETS davix_tool davix_ls_tool davix_get_tool davix_put_tool davix_mkdir_tool davix_rm_tool
         DESTINATION ${BIN_INSTALL_DIR}/)

## davix cp cmd line
if (ENABLE_THIRD_PARTY_COPY)

    add_executable(davix_cp_tool ${davix_copy_main_src} ${davix_tool_common_src} ${SRC_SIMPLE_GET_PASS})

    target_link_libraries(davix_cp_tool davix_copy)
    set_target_properties(davix_cp_tool PROPERTIES
                                OUTPUT_NAME "davix-cp")
    add_dependencies(davix_cp_tool davix_copy)
    
    install(TARGETS davix_cp_tool
            DESTINATION ${BIN_INSTALL_DIR}/)
    
endif (ENABLE_THIRD_PARTY_COPY)

=== test/functional/CMakeLists.txt ===
--- 
+++ 
@@ -9,20 +9,20 @@
 set( src_test_prop "test_propfind.cpp")
 set( src_test_stat "test_stat.cpp" )
 set( src_test_mkdir "test_mkdir.cpp")
+set( src_test_checksum "test_checksum.cpp")
 set( src_test_stat_session "test_stat_session.cpp")
 set( src_test_rw "davix_rw_test.cpp")
 set( src_test_opendir "test_opendir.cpp")
-#set( src_test_opendir_c "test_opendir_c.cpp")
 set( src_test_opendir_partial "test_opendir_partial.cpp")
 set( src_test_opendirpp "test_opendirpp.cpp")
 set( src_test_directory "test_directory.cpp")
-#set( src_test_stat_c "test_stat_c.c")
 set( src_test_auto_stat_mkdir_check "test_auto_stat_mkdir_check.cpp")
 set( src_test_auto_rmdir_unlink_delete "test_auto_rmdir_unlink_delete.cpp")
 set( src_test_valid_read_generic_simple "test_valid_read_generic_simple.cpp")
 set( src_test_valid_write_read_generic_simple "test_valid_write_read_generic_simple.cpp")
 set( src_test_valid_write_read_vector_simple "test_valid_write_read_vector_simple.cpp")
 set( src_tool_read_vector_simple "tool_read_vector_simple.cpp")
+set( src_tool_get_replicas "tool_get_replica_simple.cpp")
 
 add_executable(test_request ${src_test_req} )
 target_link_libraries(test_request davix  )
@@ -33,7 +33,7 @@
 
 
 add_executable(test_prop ${src_test_prop} ${src_davix_test_lib} )
-target_link_libraries(test_prop davix  )
+target_link_libraries(test_prop davix   ${Boost_LIBRARIES})
 
 add_executable(test_stat ${src_test_stat} ${src_davix_test_lib})
 target_link_libraries(test_stat davix  )
@@ -44,8 +44,11 @@
 add_executable(test_mkdir ${src_test_mkdir} ${src_davix_test_lib})
 target_link_libraries(test_mkdir davix  )
 
+add_executable(test_checksum ${src_test_checksum} ${src_davix_test_lib})
+target_link_libraries(test_checksum davix  )
+
 add_executable(test_auto_rmdir_unlink_delete ${src_test_auto_rmdir_unlink_delete} ${src_davix_test_lib})
-target_link_libraries(test_auto_rmdir_unlink_delete davix  )
+target_link_libraries(test_auto_rmdir_unlink_delete davix  ${Boost_LIBRARIES})
 
 add_executable(test_stat_session ${src_test_stat_session} ${src_davix_test_lib})
 target_link_libraries(test_stat_session davix  )
@@ -81,6 +84,9 @@
 add_executable(test_valid_write_read_vector_simple ${src_test_valid_write_read_vector_simple} ${src_davix_test_lib})
 target_link_libraries(test_valid_write_read_vector_simple davix  )
 
+
+add_executable(tool_get_replicas ${src_tool_get_replicas} ${src_davix_test_lib})
+target_link_libraries(tool_get_replicas davix  )
 
 function(test_dav_endpoint_ronly name cred)
 
@@ -121,6 +127,10 @@
     add_test(test_valid_write_read_vector_simple_${url} test_valid_write_read_vector_simple ${url} ${cred})
 endfunction(test_valid_write_read_generic url cred)
 
+function(test_replica_listing_existing url cred)
+   add_test(tool_get_replicas_${url} tool_get_replicas ${url} ${cred})
+endfunction(test_replica_listing_existing url cred)
+
 include(ctest_functional.cmake)
 
 endif(FUNCTIONAL_TESTS)

=== test/unit/CMakeLists.txt ===
# main file for src

if(UNIT_TESTS)

include_directories(${PROJECT_SOURCE_DIR}/src "." ${GTEST_INCLUDE_DIRS})
include_directories(${HEADER_RAPIDJSON})


file(GLOB src_adevpp adevpp/*.cpp)
file(GLOB src_neon neon/*.cpp)
file(GLOB src_datetime datetime/*.cpp)
file(GLOB src_credential credential/*.cpp)
file(GLOB src_context context/*.cpp)
file(GLOB src_session session/*.cpp)
file(GLOB src_parser xmlparser/*.cpp)
file(GLOB src_files files/*.cpp)
file(GLOB src_auth  auth/*.cpp)
LIST(APPEND src_utils utils/utils_test.cpp ${SRC_STRING_UTILS_CPP})
LIST(APPEND src_parser parser/parser_test.cpp)
LIST(APPEND src_httprequest httprequest/test_httprequest.cpp)


add_definitions( -DTEST_VALID_CERT="${TEST_CRED_PATH}" -DTEST_VALID_CERT_PASS="${TEST_CRED_PASS}")
add_executable(g_test_unit_davix_exe ${src_context} ${src_session} ${src_credential}
                ${src_httprequest} ${src_datetime} ${src_neon} ${src_parser} ${src_auth} ${src_utils} ${src_parser} ${SRC_BASE64}
                ${SRC_HMACSHA1} ${davix_tool_common_src} ${src_files} ${src_adevpp})
target_link_libraries(g_test_unit_davix_exe davix  gtest gtest_main ${LIBSSL_PKG_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(g_test_unit_davix_exe libdavix)



add_test(g_test_unit_davix g_test_unit_davix_exe )

endif(UNIT_TESTS)

=== src/libs/adevpp/CMakeLists.txt ===
# libs CMakefile for adevpp

=== debian/changelog ===
davix (0.3.1-1b1) staging; urgency=high

  * No-change rebuild against libgsoap5

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Aug 2014 13:40:58 +0000

davix (0.3.1-1) unstable; urgency=medium

  * Update to version 0.3.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Jul 2014 09:59:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: davix
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libgridsite-dev, libgtest-dev, pkg-config, doxygen
+Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libgridsite-dev, libboost-system-dev, libboost-thread-dev, libgtest-dev, pkg-config, doxygen
 Standards-Version: 3.9.5
 Section: net
-Homepage: https://svnweb.cern.ch/trac/lcgutil/wiki/davix
+Homepage: http://dmc.web.cern.ch/projects/davix/home
 
 Package: davix
 Architecture: any
